aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl-xml-sax
diff options
context:
space:
mode:
Diffstat (limited to 'main/perl-xml-sax')
-rw-r--r--main/perl-xml-sax/APKBUILD47
-rw-r--r--main/perl-xml-sax/perl-xml-sax.patch46
-rw-r--r--main/perl-xml-sax/perl-xml-sax.post-install5
l---------main/perl-xml-sax/perl-xml-sax.post-upgrade1
-rw-r--r--main/perl-xml-sax/perl-xml-sax.pre-deinstall5
5 files changed, 104 insertions, 0 deletions
diff --git a/main/perl-xml-sax/APKBUILD b/main/perl-xml-sax/APKBUILD
new file mode 100644
index 0000000000..154836939f
--- /dev/null
+++ b/main/perl-xml-sax/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=perl-xml-sax
+pkgver=0.99
+pkgrel=2
+pkgdesc="Simple API for XML"
+url="http://search.cpan.org/dist/XML-SAX"
+arch="noarch"
+license="GPL"
+depends="perl-xml-sax-base perl-xml-namespacesupport"
+depends_dev=""
+makedepends="perl-dev"
+install="$pkgname.post-install $pkgname.post-upgrade $pkgname.pre-deinstall"
+subpackages="$pkgname-doc"
+source="http://www.cpan.org/authors/id/G/GR/GRANTM/XML-SAX-$pkgver.tar.gz
+ perl-xml-sax.patch"
+
+_builddir="$srcdir"/XML-SAX-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="290f5375ae87fdebfdb5bc3854019f24 XML-SAX-0.99.tar.gz
+f114c4aad3221d3e7d8314d13b84a869 perl-xml-sax.patch"
+sha256sums="32b04b8e36b6cc4cfc486de2d859d87af5386dd930f2383c49347050d6f5ad84 XML-SAX-0.99.tar.gz
+cf5452ccd81b7eb9cd50315a25747099628a6c0442ea3a6c3849edc3e7e4af18 perl-xml-sax.patch"
+sha512sums="f0c55efee4e3010deb474377394f9635bd8adc50108b562aeef54a2eef312cf87fb240d0495b5a5bd0c4cd5251db1bc74ba6cb549614708b1627f330959735e1 XML-SAX-0.99.tar.gz
+aca374f7a523ca8db57651789d83950bf77fce5e230fe5f2ba84880fe0602943d381ef08f9519d6fcf584d1b5ae8e33478ae536bbfbdb26202f31a0676f417a1 perl-xml-sax.patch"
diff --git a/main/perl-xml-sax/perl-xml-sax.patch b/main/perl-xml-sax/perl-xml-sax.patch
new file mode 100644
index 0000000000..880468b8db
--- /dev/null
+++ b/main/perl-xml-sax/perl-xml-sax.patch
@@ -0,0 +1,46 @@
+--- a/Makefile.PL 2011-09-04 23:37:48.000000000 +0200
++++ b/Makefile.PL 2011-10-07 18:12:50.000000000 +0200
+@@ -12,43 +12,3 @@
+ 'XML::NamespaceSupport' => 0.03,
+ },
+ );
+-
+-sub MY::install {
+- package MY;
+- my $script = shift->SUPER::install(@_);
+-
+- # Only modify existing ParserDetails.ini if user agrees
+-
+- my $write_ini_ok = 0;
+-
+- eval { require XML::SAX };
+- if ($@) {
+- $write_ini_ok = 1;
+- }
+- else {
+- my $dir = File::Basename::dirname($INC{'XML/SAX.pm'});
+- if (-e File::Spec->catfile($dir, 'SAX', 'ParserDetails.ini')) {
+- $write_ini_ok =
+- ExtUtils::MakeMaker::prompt(
+- "Do you want XML::SAX to alter ParserDetails.ini?", "Y"
+- ) =~ /^y/i;
+- }
+- else {
+- $write_ini_ok = 1;
+- }
+- }
+-
+- if ($write_ini_ok) {
+- $script =~ s/install :: (.*)$/install :: $1 install_sax_pureperl/m;
+- $script .= <<"INSTALL";
+-
+-install_sax_pureperl :
+-\t\@\$(PERL) -MXML::SAX -e "XML::SAX->add_parser(q(XML::SAX::PurePerl))->save_parsers()"
+-
+-INSTALL
+-
+- }
+-
+- return $script;
+-}
+-
diff --git a/main/perl-xml-sax/perl-xml-sax.post-install b/main/perl-xml-sax/perl-xml-sax.post-install
new file mode 100644
index 0000000000..cada1f32b9
--- /dev/null
+++ b/main/perl-xml-sax/perl-xml-sax.post-install
@@ -0,0 +1,5 @@
+#!/bin/sh
+# Registers the SAX parser into the registry.
+
+LC_ALL=C perl -MXML::SAX -e \
+ "XML::SAX->add_parser(q(XML::SAX::PurePerl))->save_parsers()" 2>&1 >/dev/null
diff --git a/main/perl-xml-sax/perl-xml-sax.post-upgrade b/main/perl-xml-sax/perl-xml-sax.post-upgrade
new file mode 120000
index 0000000000..0715a58204
--- /dev/null
+++ b/main/perl-xml-sax/perl-xml-sax.post-upgrade
@@ -0,0 +1 @@
+perl-xml-sax.post-install \ No newline at end of file
diff --git a/main/perl-xml-sax/perl-xml-sax.pre-deinstall b/main/perl-xml-sax/perl-xml-sax.pre-deinstall
new file mode 100644
index 0000000000..fb56f1a2b9
--- /dev/null
+++ b/main/perl-xml-sax/perl-xml-sax.pre-deinstall
@@ -0,0 +1,5 @@
+#!/bin/sh
+# Unregisters the SAX parser from the registry.
+
+LC_ALL=C perl -MXML::SAX -e \
+ "XML::SAX->remove_parser(q(XML::SAX::PurePerl))->save_parsers()" 2>&1 >/dev/null